Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class TieringPicoContainerTestCase

    java.lang.Object
      org.picocontainer.containers.TieringPicoContainerTestCase

    public class TieringPicoContainerTestCase

extends Object

Nested Class Summary
`static class` | `TieringPicoContainerTestCase.Couch`
`static class` | `TieringPicoContainerTestCase.DiscerningDoctor`
`static class` | `TieringPicoContainerTestCase.Doctor`
`static interface` | `TieringPicoContainerTestCase.Grouchy`
`static class` | `TieringPicoContainerTestCase.GrouchyTiredPerson`
`static interface` | `TieringPicoContainerTestCase.Polite`
`static class` | `TieringPicoContainerTestCase.PoliteTiredPerson`
`static class` | `TieringPicoContainerTestCase.TiredDoctor`
`static class` | `TieringPicoContainerTestCase.TiredPerson`

Constructor Summary
`TieringPicoContainerTestCase()`

Method Summary
`void` | `testRepresentationOfContainerTree()`
`void` | `testThatGrandparentTraversalForComponentsCanBeBlocked()`
`void` | `testThatGrandparentTraversalForComponentsCanBeBlockedEvenForAnnotatedInjections()`
`void` | `testThatGrandparentTraversalForComponentsCanBeBlockedEvenForAnnotatedInjections2()`
`void` | `testThatParentTraversalIsOkForTiering()`
`void` | `testThatParentTraversalIsOnlyBlockedOneTierAtATime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieringPicoContainerTestCase

    public TieringPicoContainerTestCase()

Method Detail

### testThatGrandparentTraversalForComponentsCanBeBlocked

    public void testThatGrandparentTraversalForComponentsCanBeBlocked()

### testThatParentTraversalIsOkForTiering

    public void testThatParentTraversalIsOkForTiering()

### testThatParentTraversalIsOnlyBlockedOneTierAtATime

    public void testThatParentTraversalIsOnlyBlockedOneTierAtATime()

### testThatGrandparentTraversalForComponentsCanBeBlockedEvenForAnnotatedInjections

    public void testThatGrandparentTraversalForComponentsCanBeBlockedEvenForAnnotatedInjections()

### testThatGrandparentTraversalForComponentsCanBeBlockedEvenForAnnotatedInjections2

    public void testThatGrandparentTraversalForComponentsCanBeBlockedEvenForAnnotatedInjections2()

### testRepresentationOfContainerTree

    public void testRepresentationOfContainerTree()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.